public abstract class GainStage() {
    String name;

    public double gain(SharcScan scan, int t, int bol);

    public double gain(SharcScan scan, DataIndex index) { return gain(scan, index.t, index.bol; }
}
